/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.contabilidad.EntConta;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author obper
 */
@Entity
@Table(name = "vCalculo_horas_sumas")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "VCalculohorassumas.findAll", query = "SELECT v FROM VCalculohorassumas v")
    , @NamedQuery(name = "VCalculohorassumas.findById", query = "SELECT v FROM VCalculohorassumas v WHERE v.id = :id")
    , @NamedQuery(name = "VCalculohorassumas.findByEmpCod", query = "SELECT v FROM VCalculohorassumas v WHERE v.empCod = :empCod")
    , @NamedQuery(name = "VCalculohorassumas.findByTotalHoras", query = "SELECT v FROM VCalculohorassumas v WHERE v.totalHoras = :totalHoras")
    , @NamedQuery(name = "VCalculohorassumas.findByHorasDiurnas", query = "SELECT v FROM VCalculohorassumas v WHERE v.horasDiurnas = :horasDiurnas")
    , @NamedQuery(name = "VCalculohorassumas.findByHorasNocturnas", query = "SELECT v FROM VCalculohorassumas v WHERE v.horasNocturnas = :horasNocturnas")
    , @NamedQuery(name = "VCalculohorassumas.findByFecha", query = "SELECT v FROM VCalculohorassumas v WHERE v.fecha = :fecha")
    , @NamedQuery(name = "VCalculohorassumas.findByCorrido", query = "SELECT v FROM VCalculohorassumas v WHERE v.corrido = :corrido")})
public class VCalculohorassumas implements Serializable {

    private static final long serialVersionUID = 1L;
    @Column(name = "id")
    @Id
    private BigInteger id;
    @Size(max = 3)
    @Column(name = "emp_cod")
    private String empCod;
    @Column(name = "total_horas")
    private String totalHoras;
    @Column(name = "horas_diurnas")
    private String horasDiurnas;
    @Column(name = "horas_nocturnas")
    private String horasNocturnas;
    @Column(name = "fecha")
    @Temporal(TemporalType.DATE)
    private Date fecha;
    @Column(name = "corrido")
    private Boolean corrido;

    public VCalculohorassumas() {
    }

    public BigInteger getId() {
        return id;
    }

    public void setId(BigInteger id) {
        this.id = id;
    }

    public String getEmpCod() {
        return empCod;
    }

    public void setEmpCod(String empCod) {
        this.empCod = empCod;
    }

    public String getTotalHoras() {
        return totalHoras;
    }

    public void setTotalHoras(String totalHoras) {
        this.totalHoras = totalHoras;
    }

    public String getHorasDiurnas() {
        return horasDiurnas;
    }

    public void setHorasDiurnas(String horasDiurnas) {
        this.horasDiurnas = horasDiurnas;
    }

    public String getHorasNocturnas() {
        return horasNocturnas;
    }

    public void setHorasNocturnas(String horasNocturnas) {
        this.horasNocturnas = horasNocturnas;
    }

    public Date getFecha() {
        return fecha;
    }

    public void setFecha(Date fecha) {
        this.fecha = fecha;
    }

    public Boolean getCorrido() {
        return corrido;
    }

    public void setCorrido(Boolean corrido) {
        this.corrido = corrido;
    }
    
}
